<?php
require('fpdf.php');



class PDF extends FPDF
{
// Cabecera de p�gina
function Header()
{
	// Logo
	$this->Image('recetario5.jpg',5,3,288);

	/*$this->SetFont('Arial','B',15); 	// Arial bold 15

	$this->Cell(80); 	// Movernos a la derecha
	$this->Cell(30,10,'Title',1,0,'C');
	$this->Ln(20);*/



}

// Pie de p�gina
function Footer()
{
	// posicion pie de pagina
	$this->SetY(-15);
	// Arial italic 8
	$this->SetFont('Arial','I',8);
	// Numero de pagina
//	$this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
}
}


$archivo="num.txt";
if (!file_exists($archivo)) {
	$numero=1;
	$fp = fopen($archivo, "w");
	fputs($fp, $numero);
	fclose($fp);
}

$id_persona=@$_GET["x_idpersona"];
	$connect = mysqli_connect("localhost", "entreriossatsaid_satsis", "Sat+$2511", "entreriossatsaid_recetarios");
	$query = "SELECT * FROM afiliadosr WHERE id = '".$id_persona."'";
	$result = mysqli_query($connect, $query);

	$apellido="";
	$nombres="";
	$nro_afiliado="";

	while($f_result = $result->fetch_assoc()) {
   $apellido=$f_result["Apellido"];
	 $nombres=$f_result["Nombres"];
	 $nro_afiliado=$f_result["Nro_Afiliado"];
}


$fp = fopen($archivo, "r");
$numero = fgets($fp)+1;
fclose($fp);

$numeracion1=str_pad($numero, 6, "0", STR_PAD_LEFT);
$numero = $numero+1;
$numeracion2=str_pad($numero, 6, "0", STR_PAD_LEFT);

$fp = fopen($archivo, "w");
fputs($fp, $numero);
fclose($fp);

// Creaci�n del objeto de la clase heredada
$pdf = new PDF();
$pdf->AddPage('L','A4');

//numeracion
$pdf->SetFont('Helvetica','B',14);
$pdf->SetTextColor(77,77,77);
$pdf->Text(200,11.5,$numeracion1);
$pdf->Text(200,117.5,$numeracion2);

$pdf->SetFont('Arial','B',13);
$pdf->SetTextColor(0,0,0);
$pdf->Text(40,24.5,$nro_afiliado);
$pdf->SetFont('Arial','B',11);
$pdf->Text(9,34.5,$apellido." ".$nombres);


$pdf->SetFont('Arial','B',13);
$pdf->Text(40,131,$nro_afiliado);
$pdf->SetFont('Arial','B',11);
$pdf->Text(9,141,$apellido." ".$nombres);

//$query = "INSERT INTO `recetarios`(`Fecha_de_Emision`, `Nro_de_Afiliado_Sat`, `Apellido_y_Nombre`) VALUES (".date("d-m-Y H:i:s").",".$nro_afiliado.",".$numeracion1." ".$numeracion2.")";
$ipaddress = $_SERVER['REMOTE_ADDR'];
$query ="INSERT INTO `recetarios` (`id`, `Fecha_de_Emision`, `Nro_de_Afiliado_Sat`, `Apellido_y_Nombre`, `numeracion`, `Sexo`, `ip`) VALUES (NULL, CURRENT_TIMESTAMP, '".$nro_afiliado."', '".$apellido." ".$nombres."', '".$numeracion1." ".$numeracion2."', NULL,'".$ipaddress."')";
//echo $query;
$result = mysqli_query($connect, $query);
//INSERT INTO `recetarios`(`id`, `Fecha_de_Emision`, `Nro_de_Afiliado_Sat`, `Apellido_y_Nombre`, `Sexo`) VALUES ([value-1],[value-2],[value-3],[value-4],[value-5])
//INSERT INTO `recetarios` (`id`, `Fecha_de_Emision`, `Nro_de_Afiliado_Sat`, `Apellido_y_Nombre`, `numeracion`, `Sexo`) VALUES (NULL, '2018-08-08', '11', 'aa bb', '12365', NULL);
//INSERT INTO `recetarios`(`Fecha_de_Emision`, `Nro_de_Afiliado_Sat`, `Apellido_y_Nombre`) VALUES (date(),'nro_afiliado','apellido$nombres')
//$pdf->AliasNbPages();

//$pdf->SetFont('Times','',12);
//for($i=1;$i<=40;$i++)
//	$pdf->Cell(0,10,'Imprimiendo l�nea n�mero '.$i,0,1);
date_default_timezone_set('america/argentina/buenos_aires');
$apeynom=$apellido." ".$nombres;
$dia = date('d');
$mes = date('m');
$anio = date('Y');
$fecha=$dia."_".$mes."_".$anio;
$archivo=$apeynom."_".$fecha.".pdf";
$archivo= str_replace(" ", "_", $archivo);
//$archivo= str_replace("/", "", $archivo);
//$archivo="archivos/".$archivo;

$pdf->Output('I',$archivo);

//$pdf->Output();
?>
